Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 101255 - Collection Type for multiplicity ranges should return fully qualified Collection type
Collection Type for multiplicity ranges should return fully qualified Collect...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Properties
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Trey Spiva
issues@uml
HOL,release55_fixes_fixed
:
Depends on:
Blocks: 94936 98344
  Show dependency treegraph
 
Reported: 2007-04-17 01:40 UTC by Craig Conover
Modified: 2008-08-06 23:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Conover 2007-04-17 01:40:48 UTC
The getCollectionType of the IMultiplicityRanges interface and implementations
should have an option (or always) to return the fully qualified Collection type.
Needed for code generation purposes like adding import statements.
Comment 1 Trey Spiva 2007-04-18 17:26:23 UTC
The method getCollectionType is now returning the fully qualified name.  I have also updated the 
parameter and multiplicity customizers to use fully qualified information.

I still have to update RE.
Comment 2 Craig Conover 2007-04-19 21:13:31 UTC
I assume "I still have to update RE" means that RE is not generating params with
fully qualified Collection Type values. I see "Vector" instead of
"Vector:java::util" in the properties UI.

Just verifying that you are seeing the same thing I am.
Comment 3 Craig Conover 2007-04-25 00:26:32 UTC
I backported the fix for this into 55_fixes.
Comment 4 Andrew Korostelev 2007-04-28 11:18:43 UTC
verified in all-nbms-griffin_fixes-070427-ml
should be also verified in 6.0 
Comment 5 Trey Spiva 2007-06-25 20:28:47 UTC
fixed
Comment 6 Peter Lam 2008-08-06 23:30:51 UTC
already verified in 6.0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo